This is the mail archive of the cluster-cvs@sourceware.org mailing list for the cluster.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

STABLE2 - cman: make sure not to umount configfs when there are otherusers


Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=9a37dd3dee9819b8105916139a81e3070323e0b0
Commit:        9a37dd3dee9819b8105916139a81e3070323e0b0
Parent:        35d6cd1658c743c9e0419a4fd9acd54397558490
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Thu Aug 7 10:37:13 2008 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Thu Aug 7 10:42:20 2008 +0200

cman: make sure not to umount configfs when there are other users

Fix bugzilla: #457991

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index cc0618a..7c86f82 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -412,7 +412,7 @@ stop_configfs()
 {
     awk '{ print $2 }' /etc/mtab | grep "/sys/kernel/config" &> /dev/null\
     && awk '{ print $3 }' /etc/mtab | grep "configfs" &> /dev/null
-    if [ $? -eq 0 ]
+    if [ $? -eq 0 ] && [ -z "$(ls -1 /sys/kernel/config)" ]
     then
 	errmsg=$( /bin/umount /sys/kernel/config 2>&1 )
 	if [ $? -ne 0 ]


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]